gdal : 'native'
gmsh : '4.10.3'
graphviz : 'native'
- h5py : '3.9.0'
+ h5py : '3.11.0'
hdf5 : '1.10.3'
idna : 'native'
imagesize : 'native'
medfile : '4.1.1'
mesa : {tag : '19.0.8-x86_64-'+$VARS.dist, base: 'no', section: 'version_bin'}
MeshGems : '2.15-1'
+ meshio: '5.3.5'
metis : 'native'
mpi4py: 'native'
netgen : '5.3.1_with_CAS_7.2'
qwt : 'native'
requests : 'native'
rkCommon : '1.5.1'
+ rich : '13.7.1'
root: '6.22.02'
scipy : 'native'
scotch : {tag: '6.1.2', section: 'version_6_1_2_MPI', hpc: 'yes', base: 'no'}
'APPLICATION.products.PyFMI' : {tag: '2.6', base: 'no', section: 'version_2_6_no_pip' }
'APPLICATION.products.Sphinx' : {tag: '1.7.6', base: 'no', section: 'version_1_7_6_no_pip' }
'APPLICATION.products.gdal' : {tag:'2.4.0', base: 'no', section: 'version_2_4_0_FD32' } # spns #29324
- 'APPLICATION.products.h5py' : {tag:'3.9.0', base: 'no', section: 'version_3_9_0_FD32' }
+ 'APPLICATION.products.numpy' : {tag: '1.20.3', base: 'no', section: 'version_1_20_3' }
}
{
__condition__ : "VARS.dist in ['FD34']"
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "h5py" $VERSION
+echo "##########################################################################"
+
+LINUX_DISTRIBUTION="$DIST_NAME$DIST_VERSION"
+
+rm -rf $BUILD_DIR
+mkdir -p $BUILD_DIR/cache/pip
+
+mkdir -p $PRODUCT_INSTALL
+
+cd $BUILD_DIR
+
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages:$PYTHONPATH
+export PATH=${PRODUCT_INSTALL}/bin:$PATH
+
+case $LINUX_DISTRIBUTION in
+ FD32)
+ WHEELS=('h5py-3.11.0-cp38-cp38-manylinux_2_17_x86_64.manylinux2014_x86_64.whl')
+ for WHEEL in "${WHEELS[@]}"; do
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/$WHEEL --no-deps --prefix=$PRODUCT_INSTALL
+ if [ $? -ne 0 ]; then
+ echo "ERROR: could not install $WHEEL"
+ exit 1
+ fi
+ done
+ if [ -d ${PRODUCT_INSTALL}/lib64 ]; then
+ mv ${PRODUCT_INSTALL}/lib64/* ${PRODUCT_INSTALL}/lib/
+ rm -rf ${PRODUCT_INSTALL}/lib64
+ fi
+ ;;
+ *)
+ ;;
+esac
+
+echo
+echo "########## END"
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "meshio" $VERSION
+echo "##########################################################################"
+
+LINUX_DISTRIBUTION="$DIST_NAME$DIST_VERSION"
+
+echo "*** check installation"
+mkdir -p ${PRODUCT_INSTALL}
+rm -rf $BUILD_DIR
+mkdir -p $BUILD_DIR/cache/pip
+cd $BUILD_DIR
+
+export PYTHONPATH=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages:$PYTHONPATH
+export PATH=${PRODUCT_INSTALL}/bin:$PATH
+
+case $LINUX_DISTRIBUTION in
+ FD32)
+ WHEELS=('markdown_it_py-3.0.0-py3-none-any.whl'
+ 'typing_extensions-4.11.0-py3-none-any.whl'
+ 'meshio-5.3.5-py3-none-any.whl'
+ )
+ for WHEEL in "${WHEELS[@]}"; do
+ ${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/$WHEEL --no-deps --prefix=$PRODUCT_INSTALL
+ if [ $? -ne 0 ]; then
+ echo "ERROR: could not install $WHEEL"
+ exit 1
+ fi
+ done
+ ;;
+ *)
+ ;;
+esac
+
+echo
+echo "########## END"
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "numpy" $VERSION
+echo "##########################################################################"
+
+
+mkdir -p $PRODUCT_INSTALL
+
+cd $SOURCE_DIR
+rm -f site.cfg
+
+if [ "$SAT_lapack_IS_NATIVE" != "1" ]; then
+ echo "Lapack is embedded... Make numpy aware of it..."
+ echo "[ALL]" > site.cfg
+ echo "libraries = lapack,blas,cblas,lapacke,tmglib" >> site.cfg
+ echo "library_dirs = \$\{LAPACKHOME\}/lib" >> site.cfg
+ echo "include_dirs = \$\{LAPACKHOME\}/include" >> site.cfg
+fi
+
+export PYTHONPATH=$SOURCE_DIR:$PYTHONPATH
+
+NUMPY_INSTALL=${PRODUCT_INSTALL}/lib/python${PYTHON_VERSION}/site-packages
+mkdir -p ${NUMPY_INSTALL}
+PYTHONPATH=${NUMPY_INSTALL}:${PYTHONPATH}
+
+echo
+echo "*** setup.py build install"
+$PYTHONBIN setup.py build install --prefix=${PRODUCT_INSTALL} --install-lib=${NUMPY_INSTALL}
+if [ $? -ne 0 ]; then
+ echo "ERROR on setup build install"
+ rm -f site.cfg
+ exit 1
+fi
+# the embedded versioneer.py fails to retrieve the correct version - presumably because of missing .git information
+# let's fix this once for all - prevents openturns from not building.
+cd ${NUMPY_INSTALL}
+if [ -f numpy/_version.py ]; then
+ echo "INFO: ensure that version is consistently set. In principle patches "
+ sed -i "s/0+unknown/$VERSION/g" numpy/_version.py
+else
+ f=$(find . -type d -name "numpy-$VERSION-py${PYTHON_VERSION}-*x86_64.egg")
+ if [ $? -eq 0 ]; then
+ EGG_DIR=$(ls |grep numpy-$VERSION-py${PYTHON_VERSION} |grep x86_64.egg)
+ echo "INFO: Found $EGG_DIR"
+ if [ -d $EGG_DIR/numpy ]; then
+ ln -sf $EGG_DIR/numpy
+ sed -i "s/0+unknown/$VERSION/g" $EGG_DIR/numpy/_version.py
+ else
+ echo "WARNING: could not find $EGG_DIR/numpy"
+ fi
+ else
+ echo "WARNING: could not find egg directory with name: numpy-$VERSION-py${PYTHON_VERSION}-*-x86_64.egg"
+ fi
+fi
+
+if [ -d ${PRODUCT_INSTALL}/local/bin ]; then
+ mv ${PRODUCT_INSTALL}/local/bin ${PRODUCT_INSTALL}/bin
+ rm -rf ${PRODUCT_INSTALL}/local
+fi
+
+rm -f site.cfg
+echo
+echo "########## END"
+
--- /dev/null
+#!/bin/bash
+
+echo "##########################################################################"
+echo "rich" $VERSION
+echo "##########################################################################"
+
+if [ ! -d $PRODUCT_INSTALL ]; then
+ mkdir -p $PRODUCT_INSTALL
+fi
+
+rm -rf $BUILD_DIR
+mkdir -p $BUILD_DIR/cache/pip
+cd $BUILD_DIR
+
+${PYTHONBIN} -m pip install --cache-dir=$BUILD_DIR/cache/pip $SOURCE_DIR/rich-13.7.1-py3-none-any.whl --no-deps --prefix=$PRODUCT_INSTALL
+if [ $? -ne 0 ]; then
+ echo "FATAL: could not install rich 13.7.1"
+ exit 1
+fi
+
+echo
+echo "########## END"
if not platform.system() == "Windows" :
pyver = 'python' + env.get('PYTHON_VERSION')
env.set('H5PY_ROOT_DIR',prereq_dir)
- env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'bin'))
- env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'lib', pyver, 'site-packages','numpy','core','include'))
+ env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'lib', pyver, 'site-packages'))
def set_nativ_env(env):
pass
--- /dev/null
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path
+import platform
+
+def set_env(env, prereq_dir, version):
+ if not platform.system() == "Windows" :
+ pyver = 'python' + env.get('PYTHON_VERSION')
+ env.set('MESHIO_ROOT_DIR',prereq_dir)
+ env.set('HDF5_DISABLE_VERSION_CHECK', '1')
+ env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+ env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'lib', pyver, 'site-packages'))
+
+def set_nativ_env(env):
+ pass
--- /dev/null
+#!/usr/bin/env python
+#-*- coding:utf-8 -*-
+
+import os.path
+import platform
+
+def set_env(env, prereq_dir, version):
+ if not platform.system() == "Windows" :
+ pyver = 'python' + env.get('PYTHON_VERSION')
+ env.set('RICH_ROOT_DIR',prereq_dir)
+ env.prepend('PATH', os.path.join(prereq_dir, 'bin'))
+ env.prepend('PYTHONPATH', os.path.join(prereq_dir, 'lib', pyver, 'site-packages'))
+
+def set_nativ_env(env):
+ pass
}
}
-version_3_9_0:
+version_3_11_0:
{
- compil_script: "h5py-3.9.0" + $VARS.scriptExtension
-}
-
-version_3_9_0_FD32:
-{
- compil_script: "h5py-3.9.0" + $VARS.scriptExtension
- patches : ['h5py-3.9.0.p01.patch']
+ compil_script: "h5py-3.11.0" + $VARS.scriptExtension
+ archive_info : {archive_name : "h5py-3.11.0-x86_64.tar.gz"}
+ properties :
+ {
+ incremental : "yes"
+ pip : "no"
+ }
}
--- /dev/null
+default :
+{
+ name : "meshio"
+ build_source : "script"
+ compil_script: "meshio" + $VARS.scriptExtension
+ get_source : "archive"
+ patches : []
+ system_info :
+ {
+ rpm : []
+ rpm_dev : []
+ apt : []
+ apt_dev : []
+ }
+ environ :
+ {
+ env_script : $name + ".py"
+ }
+ depend : ['Python', 'numpy', 'hdf5', 'h5py', 'netcdf', 'rich']
+ source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+ build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+ install_dir : 'base'
+ properties :
+ {
+ incremental : "yes"
+ pip : "yes"
+ }
+}
+
+version_5_3_5 :
+{
+ compil_script: "meshio-5.3.5" + $VARS.scriptExtension
+ archive_info : {archive_name : "meshio-5.3.5-x86_64.tar.gz"}
+ properties :
+ {
+ incremental : "yes"
+ pip : "no"
+ }
+}
}
}
+version_1_20_3:
+{
+ properties:
+ {
+ incremental : "yes"
+ pip : "no"
+ }
+ compil_script : "numpy-1.20.3.sh"
+# patches: ['SPNS-29988-numpy-1.22.patch']
+}
+
version_1_16_4_win_dbg:
{
name : "numpy"
--- /dev/null
+default :
+{
+ name : "rich"
+ build_source : "script"
+ compil_script: "rich" + $VARS.scriptExtension
+ get_source : "archive"
+ patches : []
+ system_info :
+ {
+ rpm : ['python3-rich']
+ rpm_dev : ['python3-rich']
+ apt : ['python3-rich']
+ apt_dev : ['python3-rich']
+ }
+ environ :
+ {
+ env_script : $name + ".py"
+ }
+ depend : ['Python', 'numpy', 'hdf5', 'h5py']
+ opt_depend: ['openmpi']
+ source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
+ build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
+ install_dir : 'base'
+ properties :
+ {
+ incremental : "yes"
+ pip : "yes"
+ }
+}
+
+version_13_7_1:
+{
+ compil_script: "rich-13.7.1" + $VARS.scriptExtension
+ properties :
+ {
+ incremental : "yes"
+ pip : "no"
+ }
+}
+
}
"FD32" :
{
- rpm : ["lz4", "gsl", "openmpi", "netcdf", "gdal", "libxml++"]
+ rpm : ["lz4", "gsl", "openmpi", "netcdf", "python3-netcdf4", "gdal", "libxml++"]
rpm_dev : ["perl-interpreter", "qt5-devel", "gsl-devel", "openmpi-devel", "netcdf-devel", "protobuf-devel", "python3-protobuf", "texlive-dvipng", "libxml++-devel"]
}
"FD34" :